How to run a server if I only have the datapack.

jnulloa

New Member
Joined
Dec 9, 2018
Messages
5
Best answers
0
Reaction score
1
Hello everyone!
I'm new in at owning your own ot server, but I would love to have open one. So when I go to the download section in this forum, I often download servers that only have for example the data,doc,schemas, and mods folders, but no application to run it. So my question is what do I have to do to run it if I only have those folders.
Thanks a lot, and excuse my english!
 

Delusion

Divine Intellect
Support Team
Joined
Feb 14, 2015
Messages
5,340
Best answers
528
Reaction score
3,065
It depends on if you can find info about what distro you're supposed to be using when you download the datapack, usually people will say you're supposed to use a certain TFS version on the same thread. If that information isn't available, you need to figure out what client it's for. If it's for 8.6 and an old distro, you probably need to use 0.4, if it's a newer distro and for client 10.98, you're likely looking to use TFS 1.2 or 1.3. If you need to learn how to set up a server, there's plenty of tutorials such as the official OTLand guide here: Introduction (https://docs.otland.net/ots-guide/), or tutorials for older versions such as these:

That last link is specifically for compiling the executable to run your server, you only need to use that link if you're using an older TFS version such as 0.3.6 or 0.4, because in the newer versions we use Visual Studio; you can view the new tutorial for compiling here: otland/forgottenserver (https://github.com/otland/forgottenserver/wiki/Compiling)
 
OP
J

jnulloa

New Member
Joined
Dec 9, 2018
Messages
5
Best answers
0
Reaction score
1
It depends on if you can find info about what distro you're supposed to be using when you download the datapack, usually people will say you're supposed to use a certain TFS version on the same thread. If that information isn't available, you need to figure out what client it's for. If it's for 8.6 and an old distro, you probably need to use 0.4, if it's a newer distro and for client 10.98, you're likely looking to use TFS 1.2 or 1.3. If you need to learn how to set up a server, there's plenty of tutorials such as the official OTLand guide here: Introduction (https://docs.otland.net/ots-guide/), or tutorials for older versions such as these:

That last link is specifically for compiling the executable to run your server, you only need to use that link if you're using an older TFS version such as 0.3.6 or 0.4, because in the newer versions we use Visual Studio; you can view the new tutorial for compiling here: otland/forgottenserver (https://github.com/otland/forgottenserver/wiki/Compiling)
THANKS A LOT DELUSION!
 
Top